/*!
  \file
  \brief シミュレータ用の GPS サーバ

  \author Satofumi KAMIMURA

  $Id: GpsServer.cpp 351 2008-11-11 22:39:03Z satofumi $

  \todo GPS の特性を考慮して設計しなおす
*/

#include "GpsServer.h"

using namespace qrk;


struct GpsServer::pImpl
{
  // !!!
};


GpsServer::GpsServer(void) : pimpl(new pImpl)
{
}


GpsServer::~GpsServer(void)
{
}


bool GpsServer::activate(long port)
{
  static_cast<void>(port);

  // !!!
  return false;
}


int GpsServer::updateInterval(void)
{
  return 1;
}


void GpsServer::update(void)
{
}
